For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet lifecycle trends
      • GETGet instance information
      • POSTSend Unleash feedback
      • GETGet UI configuration
      • POSTSets allowed CORS origins
      • PUTUpdate Unleash feedback
      • POSTUpdate splash settings
      • POSTAccepts errors from the UI client

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAdmin UI

Update Unleash feedback

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/feedback/:id
PUT
/api/admin/feedback/:id
$curl -X PUT https://app.unleash-instance.example.com/api/admin/feedback/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "userId": 2,
3 "neverShow": false,
4 "given": "2023-07-06T08:29:21.282Z",
5 "feedbackId": "pnps"
6}
Updates the feedback with the provided ID. Only provided fields are updated. Fields left out are left untouched. Must be called with a token with an identifiable user (either from being sent from the UI or from using a [PAT](https://docs.getunleash.io/concepts/api-tokens-and-client-keys#personal-access-tokens)).
Was this page helpful?
Previous

Update splash settings

Next
Built with

Updates the feedback with the provided ID. Only provided fields are updated. Fields left out are left untouched. Must be called with a token with an identifiable user (either from being sent from the UI or from using a PAT).

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

idstringRequired

Request

feedbackUpdateSchema
userIdintegerOptional
The ID of the user that gave the feedback.
neverShowbooleanOptional

true if the user has asked never to see this feedback questionnaire again.

givenstring or nullOptionalformat: "date-time"
When this feedback was given

Response

feedbackResponseSchema
userIdinteger
The ID of the user that gave the feedback.
neverShowboolean

true if the user has asked never to see this feedback questionnaire again.

givenstring or nullformat: "date-time"
When this feedback was given
feedbackIdstring
The name of the feedback session

Errors

400
Bad Request Error
401
Unauthorized Error
415
Unsupported Media Type Error